%define LIB_MAJOR 0
%define LIB_MINOR 7
%define LIB_REL 6

%define	major %{LIB_MAJOR}
%define libname %mklibname wrap %{major}
%define develname %mklibname wrap -d

Summary: 	A security tool which acts as a wrapper for TCP daemons
Name: 		tcp_wrappers
Version: 	7.6
Release: 	%mkrel 56
Group: 		System/Servers
License: 	BSD
URL:		ftp://ftp.porcupine.org/pub/security/index.html
Source0:        http://ftp.porcupine.org/pub/security/%{name}_%{version}.tar.bz2
Patch0:		tcpw7.2-config.patch
Patch1:		tcpw7.2-setenv.patch
Patch2:		tcpw7.6-netgroup.patch
Patch3:		tcp_wrappers-7.6-bug11881.patch
Patch4:		tcp_wrappers-7.6-bug17795.patch
Patch5:		tcp_wrappers-7.6-bug17847.patch
Patch6:		tcp_wrappers-7.6-fixgethostbyname.patch
Patch7:		tcp_wrappers-7.6-docu.patch
Patch9:		tcp_wrappers.usagi-ipv6.patch
Patch10:	tcp_wrappers.ume-ipv6.patch
Patch11:	tcp_wrappers-7.6-shared.patch
Patch12:	tcp_wrappers-7.6-sig.patch
Patch13:	tcp_wrappers-7.6-strerror.patch
Patch14:	tcp_wrappers-7.6-ldflags.patch
Patch15:	tcp_wrappers-7.6-fix_sig-bug141110.patch
Patch16:	tcp_wrappers-7.6-162412.patch
Patch17:	tcp_wrappers-7.6-220015.patch
Patch18:	tcp_wrappers-7.6-restore_sigalarm.patch
Patch19:	tcp_wrappers-7.6-siglongjmp.patch
Patch20:	tcp_wrappers-7.6-sigchld.patch
Patch21:	tcp_wrappers-7.6-196326.patch
Patch22:	tcp_wrappers_7.6-249430.patch
Patch100:	tcp_wrappers-bug41864.diff
Patch101:	tcp_wrappers-7.6-make-4.4.patch
Patch200:	tcp_wrappers-7.6-gcc14.patch
Patch201:	tcp_wrappers-7.6-gcc14-part2.patch
# This partially rediffs P5, tcp_wrappers-7.6-bug17847.patch
Patch202:	tcp_wrappers-7.6-gcc14-part3.patch
# Needs to be applied after P!4, tcp_wrappers-7.6-ldflags.patch
Patch203:	tcp_wrappers-7.6-shared-tools.patch
BuildConflicts:	%{name}-devel
# nsl bits gone in glibc 2.32, add separate libnsl dep
BuildRequires:	pkgconfig(libnsl)

%description
The tcp_wrappers package provides small daemon programs which can
monitor and filter incoming requests for systat, finger, FTP, telnet,
rlogin, rsh, exec, tftp, talk and other network services.

Install the tcp_wrappers program if you need a security tool for
filtering incoming network services requests.

This version also supports IPv6.

%package -n	%{libname}
Summary:	A security library which acts as a wrapper for TCP daemons
Group:          System/Libraries

%description -n	%{libname}
The tcp_wrappers package provides small daemon programs which can
monitor and filter incoming requests for systat, finger, ftp, telnet,
rlogin, rsh, exec, tftp, talk and other network services.

This package contains the shared tcp_wrappers library (libwrap).

%package -n	%{develname}
Summary:	A security library which acts as a wrapper for TCP daemons
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libwrap-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	wrap-devel = %{version}-%{release}

%description -n	%{develname}
The tcp_wrappers package provides small daemon programs which can
monitor and filter incoming requests for systat, finger, ftp, telnet,
rlogin, rsh, exec, tftp, talk and other network services.

This package contains the static tcp_wrappers library (libwrap) and
its header files.

%prep

%setup -q -n %{name}_%{version}
%patch -P 0 -p1 -b .config
%patch -P 1 -p1 -b .setenv
%patch -P 2 -p1 -b .netgroup
%patch -P 3 -p1 -b .bug11881
%patch -P 4 -p1 -b .bug17795
%patch -P 5 -p1 -b .bug17847
%patch -P 6 -p1 -b .fixgethostbyname
%patch -P 7 -p1 -b .docu
%patch -P 9 -p1 -b .usagi-ipv6
%patch -P 10 -p1 -b .ume-ipv6
%patch -P 11 -p1 -b .shared
%patch -P 12 -p1 -b .sig
%patch -P 13 -p1 -b .strerror
%patch -P 14 -p1 -b .cflags
%patch -P 15 -p1 -b .fix_sig
%patch -P 16 -p1 -b .162412
%patch -P 17 -p1 -b .220015
%patch -P 18 -p1 -b .restore_sigalarm
%patch -P 19 -p1 -b .siglongjmp
%patch -P 20 -p1 -b .sigchld
%patch -P 21 -p1 -b .196326
%patch -P 22 -p1 -b .249430

%patch -P 100 -p0 -b .bug41864
%patch -P 101 -p1 -b .make-4.4

%patch -P 200 -p1 -b .gcc14
%patch -P 201 -p1 -b .gcc14-2
%patch -P 202 -p1 -b .gcc14-3
%patch -P 203 -p1 -b .shared-tools
 
%build
%serverbuild
%make_build RPM_OPT_FLAGS="$CFLAGS -DHAVE_STRERROR" \
    LDFLAGS="%{ldflags} -pie" REAL_DAEMON_DIR=%{_sbindir} \
    MAJOR=%{LIB_MAJOR} MINOR=%{LIB_MINOR} REL=%{LIB_REL} linux

%install
install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man{3,5,8}

install -m644 hosts_access.3 %{buildroot}%{_mandir}/man3
install -m644 hosts_access.5 hosts_options.5 %{buildroot}%{_mandir}/man5
ln hosts_access.5 %{buildroot}%{_mandir}/man5/hosts.allow.5
ln hosts_access.5 %{buildroot}%{_mandir}/man5/hosts.deny.5
install -m644 tcpd.8 tcpdchk.8 tcpdmatch.8 %{buildroot}%{_mandir}/man8

install -m755 libwrap.so.%{LIB_MAJOR}.%{LIB_MINOR}.%{LIB_REL} %{buildroot}/%{_libdir}/
ln -s libwrap.so.%{LIB_MAJOR}.%{LIB_MINOR}.%{LIB_REL} %{buildroot}/%{_libdir}/libwrap.so.%{LIB_MAJOR}
ln -s %{_libdir}/libwrap.so.%{LIB_MAJOR}.%{LIB_MINOR}.%{LIB_REL} %{buildroot}%{_libdir}/libwrap.so

install -m644 tcpd.h %{buildroot}%{_includedir}

install -m755 safe_finger %{buildroot}%{_sbindir}
install -m755 tcpd %{buildroot}%{_sbindir}
install -m755 tcpdchk %{buildroot}%{_sbindir}
install -m755 tcpdmatch %{buildroot}%{_sbindir}
install -m755 try-from %{buildroot}%{_sbindir}

# (fg) 20000905 FIXME FIXME FIXME: setenv in libwrap.a is rather strange for
# one, so I remove it here - but will it break anything else?
#(peroyvind): do it with a patch in stead now
#ar d %{buildroot}%{_libdir}/libwrap.a setenv.o

%files
%defattr(-,root,root,755)
%doc BLURB CHANGES README* DISCLAIMER Banners.Makefile
%{_sbindir}/*
%{_mandir}/man*/*

%files -n %{libname}
%doc README
%{_libdir}/*.so.%{LIB_MAJOR}{,.*}

%files -n %{develname}
%doc DISCLAIMER
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Sun Apr 14 2024 wally <wally> 7.6-56.mga10
+ Revision: 2057326
- build tools using shared library
- move library to libdir
- drop static lib

* Sun Apr 14 2024 wally <wally> 7.6-55.mga10
+ Revision: 2057315
- fix remaining gcc14 build errors
- drop redundant build flags

* Sun Apr 14 2024 daviddavid <daviddavid> 7.6-54.mga10
+ Revision: 2057293
- add patch to fix build with GCC 14 (some code still needs fix)
+ wally <wally>
- rebuild for libnsl 2.0.1

* Fri Nov 18 2022 cjw <cjw> 7.6-53.mga9
+ Revision: 1908602
- patch101: fix build with make 4.4
- drop obsolete obsoletes that were unversioned

* Sat Mar 19 2022 umeabot <umeabot> 7.6-52.mga9
+ Revision: 1800292
- Mageia 9 Mass Rebuild

* Sun Nov 22 2020 tmb <tmb> 7.6-51.mga8
+ Revision: 1648371
- obsolete nsl bits gone in glibc 2.32, add dep on new libnsl packages
- testbuild with glibc 2.32

* Fri Feb 14 2020 umeabot <umeabot> 7.6-49.mga8
+ Revision: 1517407
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 7.6-48.mga7
+ Revision: 1301347
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 7.6-47.mga6
+ Revision: 946208
- Mageia 6 Mass Rebuild
+ tv <tv>
- do not strip binary

* Wed Oct 15 2014 umeabot <umeabot> 7.6-46.mga5
+ Revision: 742179
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.6-45.mga5
+ Revision: 689749
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 7.6-44.mga4
+ Revision: 519552
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 7.6-43.mga3
+ Revision: 384169
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 09 2011 blino <blino> 7.6-42.mga3
+ Revision: 2907
- remove old ldconfig scriptlets
- imported package tcp_wrappers


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 7.6-41mdv2011.0
+ Revision: 602296
- fix #61800 (Move lilbwrap.so.* from /usr/lib to /lib)

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 7.6-40mdv2010.1
+ Revision: 519074
- rebuild

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 7.6-39mdv2009.1
+ Revision: 317683
- bump release
- use %%ldflags

* Sun Sep 07 2008 Oden Eriksson <oeriksson@mandriva.com> 7.6-37mdv2009.0
+ Revision: 282099
- sync with tcp_wrappers-7.6-53.fc10.src.rpm
- fix #41864 (sshd consumes 100%% of cpu and never responds
  if /etc/hosts.allow line has too many spaces.)

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 7.6-36mdv2009.0
+ Revision: 265751
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 20 2008 Oden Eriksson <oeriksson@mandriva.com> 7.6-35mdv2009.0
+ Revision: 209530
- don't obsolete itself (duh!)

* Tue May 20 2008 Oden Eriksson <oeriksson@mandriva.com> 7.6-34mdv2009.0
+ Revision: 209448
- added P17-P22 from fedora
- fix devel package naming

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 7.6-33mdv2008.1
+ Revision: 179636
- really use %%serverbuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Anssi Hannula <anssi@mandriva.org> 7.6-32mdv2008.0
+ Revision: 89553
- rebuild due to package loss

* Sat Sep 08 2007 David Walluck <walluck@mandriva.org> 7.6-31mdv2008.0
+ Revision: 82503
- version Requires/Obsoletes/Provides
- Provides: wrap-devel = %%{version}-%%{release}

* Wed Jul 04 2007 Andreas Hasenack <andreas@mandriva.com> 7.6-30mdv2008.0
+ Revision: 48250
- rebuild with new serverbuild macro (-fstack-protector-all)


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 16:41:14 (63378)
- bunzip patches

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 16:33:36 (63377)
- Import tcp_wrappers

* Mon Jan 30 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 7.6-28mdk
- %%mkrel
- fixes from fedora:
	o fixed uninitialized fp in function inet_cfg (rh #162412)
	o fixed sig patch (rh #141110). Thanks to Nikita Shulga for the patch

* Wed Oct 26 2005 Oden Eriksson <oeriksson@mandriva.com> 7.6-27mdk
- build the binaries against the shared lib, adjusted P11 and P14
- libifiction

* Wed Aug 10 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 7.6-26mdk
- gcc4 rebuild, dependent packages need to rebuild against this static lib

* Thu Dec 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 7.6-25mdk
- sync with fedora
- cosmetics
- fix summary-ended-with-dot

* Fri Jul 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 7.6-24mdk
- rebuild

